import pandas as pd
from glob import glob

event_files = glob("event_clusters_trigger_times_monthly_*.h5")
event_files.sort()
plane_files = glob("aircraft_info_*.h5")
plane_files.sort()

events = pd.concat([pd.read_hdf(fn) for fn in event_files])
planes = pd.concat([pd.read_hdf(fn) for fn in plane_files])

events.reset_index(inplace=True, drop=True)
planes.reset_index(inplace=True, drop=True)

data = pd.concat([events, planes], axis=1)
data.to_hdf("clusters_with_aircrafts_all_months.h5", "data")
